package com.ruoyi.web.v3.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbCheckAsfEntity;
import com.ruoyi.web.v3.model.request.HbCheckAsfPageReq;
import com.ruoyi.web.v3.service.IHbCheckAsfService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * v3.0非洲猪瘟检测 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/v3/hb-check-asf")
@Api("3.0非洲猪瘟检测管理")
public class HbCheckAsfController {

    @Resource
    private IHbCheckAsfService checkAsfService;

    @ApiOperation("非洲猪瘟检测记录添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody HbCheckAsfEntity request){
        return checkAsfService.add(request);
    }

    @ApiOperation("非洲猪瘟检测记录修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody HbCheckAsfEntity request){
        return checkAsfService.edit(request);
    }

    @ApiOperation("非洲猪瘟检测记录删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return checkAsfService.delete(ids);
    }

    @ApiOperation("非洲猪瘟检测记录分页查询")
    @GetMapping("/page")
    public AjaxResult page(@ModelAttribute HbCheckAsfPageReq request) {
        return checkAsfService.page(request);
    }


    @ApiOperation("非洲猪瘟检测记录列表全量查询")
    @GetMapping("/list")
    public AjaxResult listAll(){
        return checkAsfService.listAll();
    }

}
